source: squid-ssl/trunk/fuentes/src/adaptation/ecap/Makefile.in

Last change on this file was 5499, checked in by Juanma, 2 years ago

Initial release

File size: 45.5 KB
RevLine 
[5499]1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/adaptation/ecap
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161am__DEPENDENCIES_1 =
162libsquid_ecap_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
163am_libsquid_ecap_la_OBJECTS = libsquid_ecap_la-Config.lo \
164        libsquid_ecap_la-Host.lo libsquid_ecap_la-MessageRep.lo \
165        libsquid_ecap_la-ServiceRep.lo libsquid_ecap_la-XactionRep.lo
166libsquid_ecap_la_OBJECTS = $(am_libsquid_ecap_la_OBJECTS)
167AM_V_lt = $(am__v_lt_@AM_V@)
168am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
169am__v_lt_0 = --silent
170am__v_lt_1 =
171libsquid_ecap_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
172        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
173        $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
174        $(LDFLAGS) -o $@
175AM_V_P = $(am__v_P_@AM_V@)
176am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
177am__v_P_0 = false
178am__v_P_1 = :
179AM_V_GEN = $(am__v_GEN_@AM_V@)
180am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
181am__v_GEN_0 = @echo "  GEN     " $@;
182am__v_GEN_1 =
183AM_V_at = $(am__v_at_@AM_V@)
184am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
185am__v_at_0 = @
186am__v_at_1 =
187DEFAULT_INCLUDES =
188depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
189am__depfiles_maybe = depfiles
190am__mv = mv -f
191CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
192        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
193LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
194        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
195        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
196        $(AM_CXXFLAGS) $(CXXFLAGS)
197AM_V_CXX = $(am__v_CXX_@AM_V@)
198am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
199am__v_CXX_0 = @echo "  CXX     " $@;
200am__v_CXX_1 =
201CXXLD = $(CXX)
202CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
203        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
204        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
205AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
206am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
207am__v_CXXLD_0 = @echo "  CXXLD   " $@;
208am__v_CXXLD_1 =
209COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
210        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
211LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
212        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
213        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
214        $(AM_CFLAGS) $(CFLAGS)
215AM_V_CC = $(am__v_CC_@AM_V@)
216am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
217am__v_CC_0 = @echo "  CC      " $@;
218am__v_CC_1 =
219CCLD = $(CC)
220LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
221        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
222        $(AM_LDFLAGS) $(LDFLAGS) -o $@
223AM_V_CCLD = $(am__v_CCLD_@AM_V@)
224am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
225am__v_CCLD_0 = @echo "  CCLD    " $@;
226am__v_CCLD_1 =
227SOURCES = $(libsquid_ecap_la_SOURCES)
228DIST_SOURCES = $(libsquid_ecap_la_SOURCES)
229am__can_run_installinfo = \
230  case $$AM_UPDATE_INFO_DIR in \
231    n|no|NO) false;; \
232    *) (install-info --version) >/dev/null 2>&1;; \
233  esac
234am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
235# Read a list of newline-separated strings from the standard input,
236# and print each of them once, without duplicates.  Input order is
237# *not* preserved.
238am__uniquify_input = $(AWK) '\
239  BEGIN { nonempty = 0; } \
240  { items[$$0] = 1; nonempty = 1; } \
241  END { if (nonempty) { for (i in items) print i; }; } \
242'
243# Make sure the list of sources is unique.  This is necessary because,
244# e.g., the same source file might be shared among _SOURCES variables
245# for different programs/libraries.
246am__define_uniq_tagged_files = \
247  list='$(am__tagged_files)'; \
248  unique=`for i in $$list; do \
249    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
250  done | $(am__uniquify_input)`
251ETAGS = etags
252CTAGS = ctags
253am__tty_colors_dummy = \
254  mgn= red= grn= lgn= blu= brg= std=; \
255  am__color_tests=no
256am__tty_colors = { \
257  $(am__tty_colors_dummy); \
258  if test "X$(AM_COLOR_TESTS)" = Xno; then \
259    am__color_tests=no; \
260  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
261    am__color_tests=yes; \
262  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
263    am__color_tests=yes; \
264  fi; \
265  if test $$am__color_tests = yes; then \
266    red='[0;31m'; \
267    grn='[0;32m'; \
268    lgn='[1;32m'; \
269    blu='[1;34m'; \
270    mgn='[0;35m'; \
271    brg='[1m'; \
272    std='[m'; \
273  fi; \
274}
275am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
276am__vpath_adj = case $$p in \
277    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
278    *) f=$$p;; \
279  esac;
280am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
281am__install_max = 40
282am__nobase_strip_setup = \
283  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
284am__nobase_strip = \
285  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
286am__nobase_list = $(am__nobase_strip_setup); \
287  for p in $$list; do echo "$$p $$p"; done | \
288  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
289  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
290    if (++n[$$2] == $(am__install_max)) \
291      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
292    END { for (dir in files) print dir, files[dir] }'
293am__base_list = \
294  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
295  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
296am__uninstall_files_from_dir = { \
297  test -z "$$files" \
298    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
299    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
300         $(am__cd) "$$dir" && rm -f $$files; }; \
301  }
302am__recheck_rx = ^[     ]*:recheck:[    ]*
303am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
304am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
305# A command that, given a newline-separated list of test names on the
306# standard input, print the name of the tests that are to be re-run
307# upon "make recheck".
308am__list_recheck_tests = $(AWK) '{ \
309  recheck = 1; \
310  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
311    { \
312      if (rc < 0) \
313        { \
314          if ((getline line2 < ($$0 ".log")) < 0) \
315            recheck = 0; \
316          break; \
317        } \
318      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
319        { \
320          recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
324        { \
325          break; \
326        } \
327    }; \
328  if (recheck) \
329    print $$0; \
330  close ($$0 ".trs"); \
331  close ($$0 ".log"); \
332}'
333# A command that, given a newline-separated list of test names on the
334# standard input, create the global log from their .trs and .log files.
335am__create_global_log = $(AWK) ' \
336function fatal(msg) \
337{ \
338  print "fatal: making $@: " msg | "cat >&2"; \
339  exit 1; \
340} \
341function rst_section(header) \
342{ \
343  print header; \
344  len = length(header); \
345  for (i = 1; i <= len; i = i + 1) \
346    printf "="; \
347  printf "\n\n"; \
348} \
349{ \
350  copy_in_global_log = 1; \
351  global_test_result = "RUN"; \
352  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
353    { \
354      if (rc < 0) \
355         fatal("failed to read from " $$0 ".trs"); \
356      if (line ~ /$(am__global_test_result_rx)/) \
357        { \
358          sub("$(am__global_test_result_rx)", "", line); \
359          sub("[        ]*$$", "", line); \
360          global_test_result = line; \
361        } \
362      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
363        copy_in_global_log = 0; \
364    }; \
365  if (copy_in_global_log) \
366    { \
367      rst_section(global_test_result ": " $$0); \
368      while ((rc = (getline line < ($$0 ".log"))) != 0) \
369      { \
370        if (rc < 0) \
371          fatal("failed to read from " $$0 ".log"); \
372        print line; \
373      }; \
374      printf "\n"; \
375    }; \
376  close ($$0 ".trs"); \
377  close ($$0 ".log"); \
378}'
379# Restructured Text title.
380am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
381# Solaris 10 'make', and several other traditional 'make' implementations,
382# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
383# by disabling -e (using the XSI extension "set +e") if it's set.
384am__sh_e_setup = case $$- in *e*) set +e;; esac
385# Default flags passed to test drivers.
386am__common_driver_flags = \
387  --color-tests "$$am__color_tests" \
388  --enable-hard-errors "$$am__enable_hard_errors" \
389  --expect-failure "$$am__expect_failure"
390# To be inserted before the command running the test.  Creates the
391# directory for the log if needed.  Stores in $dir the directory
392# containing $f, in $tst the test, in $log the log.  Executes the
393# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
394# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
395# will run the test scripts (or their associated LOG_COMPILER, if
396# thy have one).
397am__check_pre = \
398$(am__sh_e_setup);                                      \
399$(am__vpath_adj_setup) $(am__vpath_adj)                 \
400$(am__tty_colors);                                      \
401srcdir=$(srcdir); export srcdir;                        \
402case "$@" in                                            \
403  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
404    *) am__odir=.;;                                     \
405esac;                                                   \
406test "x$$am__odir" = x"." || test -d "$$am__odir"       \
407  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
408if test -f "./$$f"; then dir=./;                        \
409elif test -f "$$f"; then dir=;                          \
410else dir="$(srcdir)/"; fi;                              \
411tst=$$dir$$f; log='$@';                                 \
412if test -n '$(DISABLE_HARD_ERRORS)'; then               \
413  am__enable_hard_errors=no;                            \
414else                                                    \
415  am__enable_hard_errors=yes;                           \
416fi;                                                     \
417case " $(XFAIL_TESTS) " in                              \
418  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
419    am__expect_failure=yes;;                            \
420  *)                                                    \
421    am__expect_failure=no;;                             \
422esac;                                                   \
423$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
424# A shell command to get the names of the tests scripts with any registered
425# extension removed (i.e., equivalently, the names of the test logs, with
426# the '.log' extension removed).  The result is saved in the shell variable
427# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
428# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
429# since that might cause problem with VPATH rewrites for suffix-less tests.
430# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
431am__set_TESTS_bases = \
432  bases='$(TEST_LOGS)'; \
433  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
434  bases=`echo $$bases`
435RECHECK_LOGS = $(TEST_LOGS)
436AM_RECURSIVE_TARGETS = check recheck
437TEST_SUITE_LOG = test-suite.log
438TEST_EXTENSIONS = @EXEEXT@ .test
439LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
440LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
441am__set_b = \
442  case '$@' in \
443    */*) \
444      case '$*' in \
445        */*) b='$*';; \
446          *) b=`echo '$@' | sed 's/\.log$$//'`; \
447       esac;; \
448    *) \
449      b='$*';; \
450  esac
451am__test_logs1 = $(TESTS:=.log)
452am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
453TEST_LOGS = $(am__test_logs2:.test.log=.log)
454TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
455TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
456        $(TEST_LOG_FLAGS)
457am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
458        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
459        $(top_srcdir)/src/TestHeaders.am
460DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
461ACLOCAL = @ACLOCAL@
462ADAPTATION_LIBS = @ADAPTATION_LIBS@
463ALLOCA = @ALLOCA@
464AMTAR = @AMTAR@
465AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
466AR = @AR@
467ARGZ_H = @ARGZ_H@
468AR_R = @AR_R@
469AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
470AUTH_MODULES = @AUTH_MODULES@
471AUTOCONF = @AUTOCONF@
472AUTOHEADER = @AUTOHEADER@
473AUTOMAKE = @AUTOMAKE@
474AWK = @AWK@
475BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
476BUILDCXX = @BUILDCXX@
477BUILDCXXFLAGS = @BUILDCXXFLAGS@
478BZR = @BZR@
479CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
480CC = @CC@
481CCDEPMODE = @CCDEPMODE@
482CFLAGS = @CFLAGS@
483CGIEXT = @CGIEXT@
484CHMOD = @CHMOD@
485CPP = @CPP@
486CPPFLAGS = @CPPFLAGS@
487CPPUNITCONFIG = @CPPUNITCONFIG@
488CRYPTLIB = @CRYPTLIB@
489CXX = @CXX@
490CXXCPP = @CXXCPP@
491CXXDEPMODE = @CXXDEPMODE@
492CXXFLAGS = @CXXFLAGS@
493CYGPATH_W = @CYGPATH_W@
494DEFAULT_HOSTS = @DEFAULT_HOSTS@
495DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
496DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
497DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
498DEFS = @DEFS@
499DEPDIR = @DEPDIR@
500DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
501DISK_LIBS = @DISK_LIBS@
502DISK_LINKOBJS = @DISK_LINKOBJS@
503DISK_MODULES = @DISK_MODULES@
504DISK_OS_LIBS = @DISK_OS_LIBS@
505DISK_PROGRAMS = @DISK_PROGRAMS@
506DLLTOOL = @DLLTOOL@
507DSYMUTIL = @DSYMUTIL@
508DUMPBIN = @DUMPBIN@
509ECAP_LIBS = @ECAP_LIBS@
510ECHO_C = @ECHO_C@
511ECHO_N = @ECHO_N@
512ECHO_T = @ECHO_T@
513EGREP = @EGREP@
514EPOLL_LIBS = @EPOLL_LIBS@
515EUILIB = @EUILIB@
516EXEEXT = @EXEEXT@
517EXPATLIB = @EXPATLIB@
518EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
519EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
520EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
521FALSE = @FALSE@
522FGREP = @FGREP@
523GREP = @GREP@
524HAVE_CXX11 = @HAVE_CXX11@
525ICAP_LIBS = @ICAP_LIBS@
526INCLTDL = @INCLTDL@
527INSTALL = @INSTALL@
528INSTALL_DATA = @INSTALL_DATA@
529INSTALL_PROGRAM = @INSTALL_PROGRAM@
530INSTALL_SCRIPT = @INSTALL_SCRIPT@
531INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
532KRB5INCS = @KRB5INCS@
533KRB5LIBS = @KRB5LIBS@
534LBERLIB = @LBERLIB@
535LD = @LD@
536LDAPLIB = @LDAPLIB@
537LDFLAGS = @LDFLAGS@
538LIBADD_DL = @LIBADD_DL@
539LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
540LIBADD_DLOPEN = @LIBADD_DLOPEN@
541LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
542LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
543LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
544LIBLTDL = @LIBLTDL@
545LIBOBJS = @LIBOBJS@
546LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
547LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
548LIBS = @LIBS@
549LIBSASL = @LIBSASL@
550LIBTOOL = @LIBTOOL@
551LIB_DB = @LIB_DB@
552LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
553LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
554LINUXDOC = @LINUXDOC@
555LIPO = @LIPO@
556LN = @LN@
557LN_S = @LN_S@
558LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
559LTDLDEPS = @LTDLDEPS@
560LTDLINCL = @LTDLINCL@
561LTDLOPEN = @LTDLOPEN@
562LTLIBOBJS = @LTLIBOBJS@
563LT_CONFIG_H = @LT_CONFIG_H@
564LT_DLLOADERS = @LT_DLLOADERS@
565LT_DLPREOPEN = @LT_DLPREOPEN@
566MAINT = @MAINT@
567MAKEINFO = @MAKEINFO@
568MANIFEST_TOOL = @MANIFEST_TOOL@
569MINGW_LIBS = @MINGW_LIBS@
570MKDIR = @MKDIR@
571MKDIR_P = @MKDIR_P@
572MV = @MV@
573NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
574NETTLELIB = @NETTLELIB@
575NM = @NM@
576NMEDIT = @NMEDIT@
577NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
578OBJDUMP = @OBJDUMP@
579OBJEXT = @OBJEXT@
580OTOOL = @OTOOL@
581OTOOL64 = @OTOOL64@
582PACKAGE = @PACKAGE@
583PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
584PACKAGE_NAME = @PACKAGE_NAME@
585PACKAGE_STRING = @PACKAGE_STRING@
586PACKAGE_TARNAME = @PACKAGE_TARNAME@
587PACKAGE_URL = @PACKAGE_URL@
588PACKAGE_VERSION = @PACKAGE_VERSION@
589PATH_SEPARATOR = @PATH_SEPARATOR@
590PERL = @PERL@
591PKG_CONFIG = @PKG_CONFIG@
592PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
593PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
594PO2HTML = @PO2HTML@
595PO2TEXT = @PO2TEXT@
596POD2MAN = @POD2MAN@
597RANLIB = @RANLIB@
598REGEXLIB = @REGEXLIB@
599REPL_LIBS = @REPL_LIBS@
600REPL_OBJS = @REPL_OBJS@
601REPL_POLICIES = @REPL_POLICIES@
602RM = @RM@
603SED = @SED@
604SET_MAKE = @SET_MAKE@
605SH = @SH@
606SHELL = @SHELL@
607SMBCLIENT = @SMBCLIENT@
608SNMPLIB = @SNMPLIB@
609SQUID_CFLAGS = @SQUID_CFLAGS@
610SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
611SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
612SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
613SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
614SSLLIB = @SSLLIB@
615STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
616STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
617STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
618STORE_TESTS = @STORE_TESTS@
619STRIP = @STRIP@
620TR = @TR@
621TRUE = @TRUE@
622URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
623VERSION = @VERSION@
624WBINFO = @WBINFO@
625WIN32_PSAPI = @WIN32_PSAPI@
626XMLLIB = @XMLLIB@
627XTRA_LIBS = @XTRA_LIBS@
628XTRA_OBJS = @XTRA_OBJS@
629abs_builddir = @abs_builddir@
630abs_srcdir = @abs_srcdir@
631abs_top_builddir = @abs_top_builddir@
632abs_top_srcdir = @abs_top_srcdir@
633ac_ct_AR = @ac_ct_AR@
634ac_ct_CC = @ac_ct_CC@
635ac_ct_CXX = @ac_ct_CXX@
636ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
637am__include = @am__include@
638am__leading_dot = @am__leading_dot@
639am__quote = @am__quote@
640am__tar = @am__tar@
641am__untar = @am__untar@
642bindir = @bindir@
643build = @build@
644build_alias = @build_alias@
645build_cpu = @build_cpu@
646build_os = @build_os@
647build_vendor = @build_vendor@
648builddir = @builddir@
649datadir = @datadir@
650datarootdir = @datarootdir@
651docdir = @docdir@
652dvidir = @dvidir@
653exec_prefix = @exec_prefix@
654host = @host@
655host_alias = @host_alias@
656host_cpu = @host_cpu@
657host_os = @host_os@
658host_vendor = @host_vendor@
659htmldir = @htmldir@
660includedir = @includedir@
661infodir = @infodir@
662install_sh = @install_sh@
663krb5_config = @krb5_config@
664libdir = @libdir@
665libexecdir = @libexecdir@
666localedir = @localedir@
667localstatedir = @localstatedir@
668ltdl_LIBOBJS = @ltdl_LIBOBJS@
669ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
670mandir = @mandir@
671mkdir_p = @mkdir_p@
672oldincludedir = @oldincludedir@
673pdfdir = @pdfdir@
674prefix = @prefix@
675program_transform_name = @program_transform_name@
676psdir = @psdir@
677runstatedir = @runstatedir@
678sbindir = @sbindir@
679sharedstatedir = @sharedstatedir@
680srcdir = @srcdir@
681subdirs = @subdirs@
682sys_symbol_underscore = @sys_symbol_underscore@
683sysconfdir = @sysconfdir@
684target_alias = @target_alias@
685top_build_prefix = @top_build_prefix@
686top_builddir = @top_builddir@
687top_srcdir = @top_srcdir@
688AM_CFLAGS = $(SQUID_CFLAGS)
689AM_CXXFLAGS = $(SQUID_CXXFLAGS)
690CLEANFILES = testHeaders
691TESTS = testHeaders
692AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
693        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
694        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
695        $(am__append_1)
696@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
697@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
698COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
699subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
700noinst_LTLIBRARIES = libsquid-ecap.la
701libsquid_ecap_la_SOURCES = \
702        Config.h \
703        Config.cc \
704        Host.h \
705        Host.cc \
706        MessageRep.h \
707        MessageRep.cc \
708        ServiceRep.h \
709        ServiceRep.cc \
710        XactionRep.h \
711        XactionRep.cc \
712        \
713        Registry.h
714
715
716# add libecap using its pkg-config-produced configuration variables
717libsquid_ecap_la_CXXFLAGS = $(EXT_LIBECAP_CFLAGS)
718libsquid_ecap_la_LIBADD = $(EXT_LIBECAP_LIBS)
719all: all-am
720
721.SUFFIXES:
722.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
723$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
724        @for dep in $?; do \
725          case '$(am__configure_deps)' in \
726            *$$dep*) \
727              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
728                && { if test -f $@; then exit 0; else break; fi; }; \
729              exit 1;; \
730          esac; \
731        done; \
732        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/adaptation/ecap/Makefile'; \
733        $(am__cd) $(top_srcdir) && \
734          $(AUTOMAKE) --foreign src/adaptation/ecap/Makefile
735Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
736        @case '$?' in \
737          *config.status*) \
738            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
739          *) \
740            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
741            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
742        esac;
743$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
744
745$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
746        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
747
748$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
751        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
752$(am__aclocal_m4_deps):
753
754clean-noinstLTLIBRARIES:
755        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
756        @list='$(noinst_LTLIBRARIES)'; \
757        locs=`for p in $$list; do echo $$p; done | \
758              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
759              sort -u`; \
760        test -z "$$locs" || { \
761          echo rm -f $${locs}; \
762          rm -f $${locs}; \
763        }
764
765libsquid-ecap.la: $(libsquid_ecap_la_OBJECTS) $(libsquid_ecap_la_DEPENDENCIES) $(EXTRA_libsquid_ecap_la_DEPENDENCIES)
766        $(AM_V_CXXLD)$(libsquid_ecap_la_LINK)  $(libsquid_ecap_la_OBJECTS) $(libsquid_ecap_la_LIBADD) $(LIBS)
767
768clean-checkPROGRAMS:
769        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
770        echo " rm -f" $$list; \
771        rm -f $$list || exit $$?; \
772        test -n "$(EXEEXT)" || exit 0; \
773        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
774        echo " rm -f" $$list; \
775        rm -f $$list
776
777mostlyclean-compile:
778        -rm -f *.$(OBJEXT)
779
780distclean-compile:
781        -rm -f *.tab.c
782
783@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsquid_ecap_la-Config.Plo@am__quote@
784@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsquid_ecap_la-Host.Plo@am__quote@
785@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsquid_ecap_la-MessageRep.Plo@am__quote@
786@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsquid_ecap_la-ServiceRep.Plo@am__quote@
787@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsquid_ecap_la-XactionRep.Plo@am__quote@
788
789.cc.o:
790@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
791@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
792@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
793@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
794@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
795@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
796
797.cc.obj:
798@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
799@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
800@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
801@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
802@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
804
805.cc.lo:
806@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
807@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
808@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
809@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
810@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
811@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
812
813libsquid_ecap_la-Config.lo: Config.cc
814@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-Config.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-Config.Tpo -c -o libsquid_ecap_la-Config.lo `test -f 'Config.cc' || echo '$(srcdir)/'`Config.cc
815@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-Config.Tpo $(DEPDIR)/libsquid_ecap_la-Config.Plo
816@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='Config.cc' object='libsquid_ecap_la-Config.lo' libtool=yes @AMDEPBACKSLASH@
817@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
818@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-Config.lo `test -f 'Config.cc' || echo '$(srcdir)/'`Config.cc
819
820libsquid_ecap_la-Host.lo: Host.cc
821@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-Host.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-Host.Tpo -c -o libsquid_ecap_la-Host.lo `test -f 'Host.cc' || echo '$(srcdir)/'`Host.cc
822@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-Host.Tpo $(DEPDIR)/libsquid_ecap_la-Host.Plo
823@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='Host.cc' object='libsquid_ecap_la-Host.lo' libtool=yes @AMDEPBACKSLASH@
824@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-Host.lo `test -f 'Host.cc' || echo '$(srcdir)/'`Host.cc
826
827libsquid_ecap_la-MessageRep.lo: MessageRep.cc
828@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-MessageRep.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-MessageRep.Tpo -c -o libsquid_ecap_la-MessageRep.lo `test -f 'MessageRep.cc' || echo '$(srcdir)/'`MessageRep.cc
829@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-MessageRep.Tpo $(DEPDIR)/libsquid_ecap_la-MessageRep.Plo
830@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='MessageRep.cc' object='libsquid_ecap_la-MessageRep.lo' libtool=yes @AMDEPBACKSLASH@
831@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
832@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-MessageRep.lo `test -f 'MessageRep.cc' || echo '$(srcdir)/'`MessageRep.cc
833
834libsquid_ecap_la-ServiceRep.lo: ServiceRep.cc
835@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-ServiceRep.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-ServiceRep.Tpo -c -o libsquid_ecap_la-ServiceRep.lo `test -f 'ServiceRep.cc' || echo '$(srcdir)/'`ServiceRep.cc
836@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-ServiceRep.Tpo $(DEPDIR)/libsquid_ecap_la-ServiceRep.Plo
837@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='ServiceRep.cc' object='libsquid_ecap_la-ServiceRep.lo' libtool=yes @AMDEPBACKSLASH@
838@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-ServiceRep.lo `test -f 'ServiceRep.cc' || echo '$(srcdir)/'`ServiceRep.cc
840
841libsquid_ecap_la-XactionRep.lo: XactionRep.cc
842@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -MT libsquid_ecap_la-XactionRep.lo -MD -MP -MF $(DEPDIR)/libsquid_ecap_la-XactionRep.Tpo -c -o libsquid_ecap_la-XactionRep.lo `test -f 'XactionRep.cc' || echo '$(srcdir)/'`XactionRep.cc
843@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsquid_ecap_la-XactionRep.Tpo $(DEPDIR)/libsquid_ecap_la-XactionRep.Plo
844@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='XactionRep.cc' object='libsquid_ecap_la-XactionRep.lo' libtool=yes @AMDEPBACKSLASH@
845@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
846@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsquid_ecap_la_CXXFLAGS) $(CXXFLAGS) -c -o libsquid_ecap_la-XactionRep.lo `test -f 'XactionRep.cc' || echo '$(srcdir)/'`XactionRep.cc
847
848mostlyclean-libtool:
849        -rm -f *.lo
850
851clean-libtool:
852        -rm -rf .libs _libs
853
854ID: $(am__tagged_files)
855        $(am__define_uniq_tagged_files); mkid -fID $$unique
856tags: tags-am
857TAGS: tags
858
859tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
860        set x; \
861        here=`pwd`; \
862        $(am__define_uniq_tagged_files); \
863        shift; \
864        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
865          test -n "$$unique" || unique=$$empty_fix; \
866          if test $$# -gt 0; then \
867            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
868              "$$@" $$unique; \
869          else \
870            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
871              $$unique; \
872          fi; \
873        fi
874ctags: ctags-am
875
876CTAGS: ctags
877ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
878        $(am__define_uniq_tagged_files); \
879        test -z "$(CTAGS_ARGS)$$unique" \
880          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
881             $$unique
882
883GTAGS:
884        here=`$(am__cd) $(top_builddir) && pwd` \
885          && $(am__cd) $(top_srcdir) \
886          && gtags -i $(GTAGS_ARGS) "$$here"
887cscopelist: cscopelist-am
888
889cscopelist-am: $(am__tagged_files)
890        list='$(am__tagged_files)'; \
891        case "$(srcdir)" in \
892          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
893          *) sdir=$(subdir)/$(srcdir) ;; \
894        esac; \
895        for i in $$list; do \
896          if test -f "$$i"; then \
897            echo "$(subdir)/$$i"; \
898          else \
899            echo "$$sdir/$$i"; \
900          fi; \
901        done >> $(top_builddir)/cscope.files
902
903distclean-tags:
904        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
905
906# Recover from deleted '.trs' file; this should ensure that
907# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
908# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
909# to avoid problems with "make -n".
910.log.trs:
911        rm -f $< $@
912        $(MAKE) $(AM_MAKEFLAGS) $<
913
914# Leading 'am--fnord' is there to ensure the list of targets does not
915# expand to empty, as could happen e.g. with make check TESTS=''.
916am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
917am--force-recheck:
918        @:
919
920$(TEST_SUITE_LOG): $(TEST_LOGS)
921        @$(am__set_TESTS_bases); \
922        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
923        redo_bases=`for i in $$bases; do \
924                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
925                    done`; \
926        if test -n "$$redo_bases"; then \
927          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
928          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
929          if $(am__make_dryrun); then :; else \
930            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
931          fi; \
932        fi; \
933        if test -n "$$am__remaking_logs"; then \
934          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
935               "recursion detected" >&2; \
936        elif test -n "$$redo_logs"; then \
937          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
938        fi; \
939        if $(am__make_dryrun); then :; else \
940          st=0;  \
941          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
942          for i in $$redo_bases; do \
943            test -f $$i.trs && test -r $$i.trs \
944              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
945            test -f $$i.log && test -r $$i.log \
946              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
947          done; \
948          test $$st -eq 0 || exit 1; \
949        fi
950        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
951        ws='[   ]'; \
952        results=`for b in $$bases; do echo $$b.trs; done`; \
953        test -n "$$results" || results=/dev/null; \
954        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
955        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
956        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
957        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
958        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
959        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
960        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
961        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
962          success=true; \
963        else \
964          success=false; \
965        fi; \
966        br='==================='; br=$$br$$br$$br$$br; \
967        result_count () \
968        { \
969            if test x"$$1" = x"--maybe-color"; then \
970              maybe_colorize=yes; \
971            elif test x"$$1" = x"--no-color"; then \
972              maybe_colorize=no; \
973            else \
974              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
975            fi; \
976            shift; \
977            desc=$$1 count=$$2; \
978            if test $$maybe_colorize = yes && test $$count -gt 0; then \
979              color_start=$$3 color_end=$$std; \
980            else \
981              color_start= color_end=; \
982            fi; \
983            echo "$${color_start}# $$desc $$count$${color_end}"; \
984        }; \
985        create_testsuite_report () \
986        { \
987          result_count $$1 "TOTAL:" $$all   "$$brg"; \
988          result_count $$1 "PASS: " $$pass  "$$grn"; \
989          result_count $$1 "SKIP: " $$skip  "$$blu"; \
990          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
991          result_count $$1 "FAIL: " $$fail  "$$red"; \
992          result_count $$1 "XPASS:" $$xpass "$$red"; \
993          result_count $$1 "ERROR:" $$error "$$mgn"; \
994        }; \
995        {                                                               \
996          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
997            $(am__rst_title);                                           \
998          create_testsuite_report --no-color;                           \
999          echo;                                                         \
1000          echo ".. contents:: :depth: 2";                               \
1001          echo;                                                         \
1002          for b in $$bases; do echo $$b; done                           \
1003            | $(am__create_global_log);                                 \
1004        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1005        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1006        if $$success; then                                              \
1007          col="$$grn";                                                  \
1008         else                                                           \
1009          col="$$red";                                                  \
1010          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1011        fi;                                                             \
1012        echo "$${col}$$br$${std}";                                      \
1013        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1014        echo "$${col}$$br$${std}";                                      \
1015        create_testsuite_report --maybe-color;                          \
1016        echo "$$col$$br$$std";                                          \
1017        if $$success; then :; else                                      \
1018          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1019          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1020            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1021          fi;                                                           \
1022          echo "$$col$$br$$std";                                        \
1023        fi;                                                             \
1024        $$success || exit 1
1025
1026check-TESTS:
1027        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1028        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1029        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1030        @set +e; $(am__set_TESTS_bases); \
1031        log_list=`for i in $$bases; do echo $$i.log; done`; \
1032        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1033        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1034        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1035        exit $$?;
1036recheck: all $(check_PROGRAMS)
1037        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1038        @set +e; $(am__set_TESTS_bases); \
1039        bases=`for i in $$bases; do echo $$i; done \
1040                 | $(am__list_recheck_tests)` || exit 1; \
1041        log_list=`for i in $$bases; do echo $$i.log; done`; \
1042        log_list=`echo $$log_list`; \
1043        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1044                am__force_recheck=am--force-recheck \
1045                TEST_LOGS="$$log_list"; \
1046        exit $$?
1047testHeaders.log: testHeaders
1048        @p='testHeaders'; \
1049        b='testHeaders'; \
1050        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1051        --log-file $$b.log --trs-file $$b.trs \
1052        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1053        "$$tst" $(AM_TESTS_FD_REDIRECT)
1054.test.log:
1055        @p='$<'; \
1056        $(am__set_b); \
1057        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1058        --log-file $$b.log --trs-file $$b.trs \
1059        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1060        "$$tst" $(AM_TESTS_FD_REDIRECT)
1061@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1062@am__EXEEXT_TRUE@       @p='$<'; \
1063@am__EXEEXT_TRUE@       $(am__set_b); \
1064@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1065@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1066@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1067@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1068
1069distdir: $(DISTFILES)
1070        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1071        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1072        list='$(DISTFILES)'; \
1073          dist_files=`for file in $$list; do echo $$file; done | \
1074          sed -e "s|^$$srcdirstrip/||;t" \
1075              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1076        case $$dist_files in \
1077          */*) $(MKDIR_P) `echo "$$dist_files" | \
1078                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1079                           sort -u` ;; \
1080        esac; \
1081        for file in $$dist_files; do \
1082          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1083          if test -d $$d/$$file; then \
1084            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1085            if test -d "$(distdir)/$$file"; then \
1086              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1087            fi; \
1088            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1089              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1090              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1091            fi; \
1092            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1093          else \
1094            test -f "$(distdir)/$$file" \
1095            || cp -p $$d/$$file "$(distdir)/$$file" \
1096            || exit 1; \
1097          fi; \
1098        done
1099check-am: all-am
1100        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1101        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1102check: check-am
1103all-am: Makefile $(LTLIBRARIES)
1104installdirs:
1105install: install-am
1106install-exec: install-exec-am
1107install-data: install-data-am
1108uninstall: uninstall-am
1109
1110install-am: all-am
1111        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1112
1113installcheck: installcheck-am
1114install-strip:
1115        if test -z '$(STRIP)'; then \
1116          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1117            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1118              install; \
1119        else \
1120          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1121            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1122            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1123        fi
1124mostlyclean-generic:
1125        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1126        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1127        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1128
1129clean-generic:
1130        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1131
1132distclean-generic:
1133        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1134        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1135
1136maintainer-clean-generic:
1137        @echo "This command is intended for maintainers to use"
1138        @echo "it deletes files that may require special tools to rebuild."
1139clean: clean-am
1140
1141clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1142        clean-noinstLTLIBRARIES mostlyclean-am
1143
1144distclean: distclean-am
1145        -rm -rf ./$(DEPDIR)
1146        -rm -f Makefile
1147distclean-am: clean-am distclean-compile distclean-generic \
1148        distclean-tags
1149
1150dvi: dvi-am
1151
1152dvi-am:
1153
1154html: html-am
1155
1156html-am:
1157
1158info: info-am
1159
1160info-am:
1161
1162install-data-am:
1163
1164install-dvi: install-dvi-am
1165
1166install-dvi-am:
1167
1168install-exec-am:
1169
1170install-html: install-html-am
1171
1172install-html-am:
1173
1174install-info: install-info-am
1175
1176install-info-am:
1177
1178install-man:
1179
1180install-pdf: install-pdf-am
1181
1182install-pdf-am:
1183
1184install-ps: install-ps-am
1185
1186install-ps-am:
1187
1188installcheck-am:
1189
1190maintainer-clean: maintainer-clean-am
1191        -rm -rf ./$(DEPDIR)
1192        -rm -f Makefile
1193maintainer-clean-am: distclean-am maintainer-clean-generic
1194
1195mostlyclean: mostlyclean-am
1196
1197mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1198        mostlyclean-libtool
1199
1200pdf: pdf-am
1201
1202pdf-am:
1203
1204ps: ps-am
1205
1206ps-am:
1207
1208uninstall-am:
1209
1210.MAKE: check-am install-am install-strip
1211
1212.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1213        clean-checkPROGRAMS clean-generic clean-libtool \
1214        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1215        distclean-compile distclean-generic distclean-libtool \
1216        distclean-tags distdir dvi dvi-am html html-am info info-am \
1217        install install-am install-data install-data-am install-dvi \
1218        install-dvi-am install-exec install-exec-am install-html \
1219        install-html-am install-info install-info-am install-man \
1220        install-pdf install-pdf-am install-ps install-ps-am \
1221        install-strip installcheck installcheck-am installdirs \
1222        maintainer-clean maintainer-clean-generic mostlyclean \
1223        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1224        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1225        uninstall-am
1226
1227.PRECIOUS: Makefile
1228
1229
1230$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1231
1232testHeaders: $(srcdir)/*.h
1233        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1234
1235.PHONY: testHeaders
1236
1237# Tell versions [3.59,3.63) of GNU make to not export all variables.
1238# Otherwise a system limit (for SysV at least) may be exceeded.
1239.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.